image: gcc

before_script:
  - apt-get update -qq && apt-get upgrade -qy
  - apt-get install -y -qq --fix-missing 
            libsystemd-dev python3-pip libc6-dev 
            python-smbus libdbus-1-dev pkg-config python3-dbus libtool

check:
  variables:
    DOCKER_HOST: "tcp://docker:2375"
  services:
    - docker:dind
  script:
    - service dbus start # prevent indirect start with wrong uid
    - git clone https://gitlab-ci-token:${CI_JOB_TOKEN}@gitlab.com/xyz.oswind.actual/oss-fuzz-tor.git oss-fuzz
    # Install docker-in-docker dependencies
    - apt-get install -y -qq --fix-missing apt-transport-https ca-certificates curl gnupg2 software-properties-common
    - curl -fsSL https://download.docker.com/linux/debian/gpg | apt-key add - # https://docs.docker.com/install/
    - apt-key fingerprint 9DC858229FC7DD38854AE2D88D81803C0EBFCD88
    - add-apt-repository -u "deb [arch=amd64] https://download.docker.com/linux/debian $(lsb_release -cs) stable"
    - apt-get install -y -qq --fix-missing docker-ce docker-ce-cli containerd.io
    - pip3 install docker-compose
    - docker pull ubuntu:16.04
    # Check oss-fuzz targets
    - cd ${CI_PROJECT_DIR}/oss-fuzz
    - python3 infra/helper.py build_image --pull tor
    - python3 infra/helper.py build_fuzzers tor
    - python3 infra/helper.py check_build tor
  when: manual